Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 308327 - app-cdr/pxlinux: Verify and potentially improve Python-related code
Summary: app-cdr/pxlinux: Verify and potentially improve Python-related code
Status: RESOLVED CANTFIX
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All All
: Highest normal (vote)
Assignee: Python Gentoo Team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 308257
  Show dependency tree
 
Reported: 2010-03-07 17:20 UTC by Arfrever Frehtes Taifersar Arahesis (RETIRED)
Modified: 2012-02-19 01:10 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Arfrever Frehtes Taifersar Arahesis (RETIRED) gentoo-dev 2010-03-07 17:20:50 UTC
- If this package could support installation for multiple versions of Python,
  then please try to adjust the ebuilds to support it.
- Ensure that the ebuilds do not use deprecated functions or variables.
- Please check if Python 3 is supported by this package.
- If this package does not support Python 3:
  - Specify dependency on Python 2.
    You can use PYTHON_DEPEND helper variable, which should be set before
    inheriting of python eclass.
  - If this package cannot support installation for multiple versions of
    Python, then set active version of Python using
    python_set_active_version().
  - Ensure that shebangs in installed scripts specify correct version of
    Python. If shebangs are too generic (e.g. '#!/usr/bin/python'), then you
    can use python_convert_shebangs() to convert shebangs.
    (Wrapper scripts generated by python_generate_wrapper_scripts() do not
    require any changes.)

Please see documentation [1] for more details.
[1] http://www.gentoo.org/proj/en/Python/developersguide.xml
Comment 1 Ian Delaney (RETIRED) gentoo-dev 2011-11-12 09:19:15 UTC
I wonder if this is a former package??
archtester app-cdr # eix linux |grep px
     Homepage:            http://oss.netfarm.it/guides/pxe.php

archtester app-cdr # eix pxlinux
No matches found.

archtester burn-cd # emerge pxlinux -pv
emerge: there are no ebuilds to satisfy "pxlinux".

Arfrever, please review
Comment 2 Arfrever Frehtes Taifersar Arahesis 2011-11-13 01:54:01 UTC
Darkside forgot to close bugs of this package when he fixed bug #337430.

(Please don't reassign random bugs to python@gentoo.org.)
Comment 3 Dirkjan Ochtman gentoo-dev 2012-02-16 12:56:36 UTC
Looks like this has been removed from the tree.